﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace assignment1.Migrations
{
    /// <inheritdoc />
    public partial class AddGuestFriendsDeleteTrigger : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.Sql(@"
            CREATE TRIGGER TRG_DeleteGuestFriends
            ON Guests
            AFTER DELETE
            AS
            BEGIN
                DELETE FROM GuestFriends
                WHERE GuestId IN (SELECT GuestId FROM deleted)
                   OR FriendId IN (SELECT GuestId FROM deleted);
            END");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.Sql(@"DROP TRIGGER TRG_DeleteGuestFriends");
        }
    }
}
