﻿using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace assignment2.Models
{
    [BsonIgnoreExtraElements]
    public class LogEntry
    {
        [BsonRepresentation(BsonType.ObjectId)]
        public string? Id { get; set; }

        [BsonElement("Level")]
        public string? Level { get; set; }

        [BsonElement("Properties")]
        public required LogProperties Properties { get; set; }

    }
}