using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MongoDB.Bson.Serialization.Attributes;

namespace assignment2.Models
{
    public class LogInfo
    {

        [BsonElement("User")]
        public string User { get; set; } = string.Empty;

        [BsonElement("Operation")]
        public string Operation { get; set; } = string.Empty;

        [BsonElement("Timestamp")]
        [BsonDateTimeOptions(Kind = DateTimeKind.Utc)]
        public DateTime Timestamp { get; set; } = DateTime.UtcNow;
    }        
}